% File: default_opts3.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('./copied_code/PattRecClasses/');
addpath('./copied_code/my_util/');
addpath('./copied_code/ar_kde/');

ntrain = 1000;
ntest  = 1000;

gridres = 192;
condq   = 0.8;

%%  CHANGE
maxorderm   = 5;  % lag p for AR(p) and KDE-MM
% maxorderh = 3;  % p in AR-HMM and KDE-HMM
maxorderh   = 3;
maxstates   = 3;  % states ns

maxiter  = 300;
nreinits = 20;
inititer = 70;
miniter  = 500 - inititer;
minstep  = log(1.05);%Inf;

gmminit = false;
hmmgammainit = false;
initorder = maxorderh;